apiVersion: k8s.ovn.org/v1
kind: UserDefinedNetwork
metadata:
  creationTimestamp: '2025-08-19T12:02:43Z'
  finalizers:
    - k8s.ovn.org/user-defined-network-protection
  generation: 1
  managedFields:
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"NetworkAllocationSucceeded"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      manager: NetworkClusterController
      operation: Apply
      subresource: status
      time: '2025-08-19T12:02:43Z'
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"NetworkCreated"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
      manager: user-defined-network-controller
      operation: Apply
      subresource: status
      time: '2025-08-19T12:02:43Z'
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:layer2':
            .: {}
            'f:ipam':
              .: {}
              'f:lifecycle': {}
            'f:role': {}
            'f:subnets': {}
          'f:topology': {}
      manager: Mozilla
      operation: Update
      time: '2025-08-19T12:02:43Z'
    - apiVersion: k8s.ovn.org/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"k8s.ovn.org/user-defined-network-protection"': {}
      manager: uit-420-0811-ldffx-master-2
      operation: Update
      time: '2025-08-19T12:02:43Z'
  name: primary-udn
  namespace: radek-passt
  resourceVersion: '10937088'
  uid: e69447b4-a9e6-4b17-812f-0ca69c781135
spec:
  layer2:
    ipam:
      lifecycle: Persistent
    role: Primary
    subnets:
      - 192.168.10.0/24
  topology: Layer2
status:
  conditions:
    - lastTransitionTime: '2025-08-19T12:02:43Z'
      message: Network allocation succeeded for all synced nodes.
      reason: NetworkAllocationSucceeded
      status: 'True'
      type: NetworkAllocationSucceeded
    - lastTransitionTime: '2025-08-19T12:02:43Z'
      message: NetworkAttachmentDefinition has been created
      reason: NetworkAttachmentDefinitionCreated
      status: 'True'
      type: NetworkCreated

